post
https://api-stg.wayn.ae/api/v1/ext/notify
Sends a notification to the user using their Emirates Id or phone number.
This endpoint requires Bearer (JWT) authentication obtained from /auth/authenticate.
Behavior & rules:
- Request must include
from,to,subjectand at least one oftextorhtml. - Recipient (
to) can be any special receiver codes (trade licensetr..., contractca..., phone number of 12 digits, Emirates ID784+ 12 digits, or ERN of 19 alphanumeric characters). Invalid formats returnINVALID_RECIPIENT_ADDRESS. - Attachments are provided as public URLs; up to 5 attachments are allowed and each must be <= 10MB.
Validation & errors:
- Attachment entries require
filenameand a valid HTTP/HTTPSurl. - Common error codes:
INVALID_PAYLOAD,VALIDATION_ERROR,SENDER_NOT_ALLOWED,RECEIVER_DOMAIN_NOT_ALLOWED,INVALID_RECIPIENT_ADDRESS,EMAIL_SEND_FAILED,SENDER_VALIDATION_ERROR,EMAIL_SEND_ERROR.
On success the endpoint returns a confirmation including to, subject and an eventId for the published email event.